	.reference	___bb_blitz_blitz
	.reference	___bb_imports_entity
	.reference	__bb_TEntity_Delete
	.reference	__bb_TEntity_New
	.reference	__bb_TEntity_addToListDepthSorted
	.reference	__bb_TEntity_checkCollisions
	.reference	__bb_TEntity_clear
	.reference	__bb_TEntity_drawShadow
	.reference	__bb_TEntity_gMaxZ
	.reference	__bb_TEntity_gMinZ
	.reference	__bb_TEntity_getSpeed
	.reference	__bb_TEntity_init
	.reference	__bb_TEntity_isCar
	.reference	__bb_TEntity_isHuman
	.reference	__bb_TEntity_removeAll
	.reference	__bb_TEntity_removeFromList
	.reference	__bb_TEntity_removeInactive
	.reference	__bb_TEntity_setInTunnel
	.reference	__bb_TEntity_setSegmentDX
	.reference	__bb_TEntity_setSegmentDY
	.reference	__bb_TEntity_setSlope
	.reference	__bb_TEntity_update
	.reference	__bb_TEntity_updateAll
	.reference	__bb_TEntity_updateDepthSort
	.reference	__bb_TEntity_updateDepthSortAll
	.reference	__bb_TEntity_updateDepthSortDown
	.reference	__bb_TEntity_updateDepthSortUp
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectCompare
	.reference	_bbObjectFree
	.reference	_bbObjectNew
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbStringClass
	.reference	_bb_TEntity
	.reference	_brl_audio_LoadSound
	.reference	_brl_audio_PlaySound
	.reference	_brl_max2d_DrawImage
	.reference	_brl_max2d_DrawRect
	.reference	_brl_max2d_ImageHeight
	.reference	_brl_max2d_ImageWidth
	.reference	_brl_max2d_LoadImage
	.reference	_brl_max2d_SetColor
	.reference	_brl_max2d_SetImageHandle
	.reference	_brl_max2d_SetScale
	.reference	_brl_random_Rand
	.reference	_brl_random_Rnd
	.globl	___bb_imports_prop
	.globl	__bb_TProp_Create
	.globl	__bb_TProp_Delete
	.globl	__bb_TProp_New
	.globl	__bb_TProp_deactivate
	.globl	__bb_TProp_draw
	.globl	__bb_TProp_gBannerStart
	.globl	__bb_TProp_gGfxBannerCommodore
	.globl	__bb_TProp_gGfxBannerStart
	.globl	__bb_TProp_gGfxBannerStart1
	.globl	__bb_TProp_gGfxBannerStart2
	.globl	__bb_TProp_gGfxBannerStart3
	.globl	__bb_TProp_gGfxBannerTires
	.globl	__bb_TProp_gGfxBannerYellow
	.globl	__bb_TProp_gGfxBush1
	.globl	__bb_TProp_gGfxBush2
	.globl	__bb_TProp_gGfxCornerSign
	.globl	__bb_TProp_gGfxExplosion
	.globl	__bb_TProp_gGfxOil
	.globl	__bb_TProp_gGfxSignFG
	.globl	__bb_TProp_gGfxSignTest
	.globl	__bb_TProp_gGfxSkidCloud1
	.globl	__bb_TProp_gGfxSkidCloud2
	.globl	__bb_TProp_gGfxSmoke1
	.globl	__bb_TProp_gGfxSmoke2
	.globl	__bb_TProp_gInTunnel
	.globl	__bb_TProp_gSndExplosion
	.globl	__bb_TProp_hittable
	.globl	__bb_TProp_isOil
	.globl	__bb_TProp_isTunnelStart
	.globl	__bb_TProp_loadGraphics
	.globl	__bb_TProp_loadSounds
	.globl	__bb_TProp_receiveHit
	.globl	__bb_TProp_setChain
	.globl	__bb_TProp_update
	.globl	_bb_TProp
	.text	
___bb_imports_prop:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	cmpl	$0,_143
	je	_144
	mov	$0,%eax
	mov	%ebp,%esp
	pop	%ebp
	ret
_144:
	movl	$1,_143
	call	___bb_blitz_blitz
	call	___bb_imports_entity
	movl	$_bb_TProp,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%eax
	jmp	_96
_96:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_New:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
	movl	%ebx,(%esp)
	call	__bb_TEntity_New
	movl	$_bb_TProp,(%ebx)
	movl	$0,64(%ebx)
	mov	$_bbNullObject,%eax
	incl	4(%eax)
	movl	%eax,68(%ebx)
	movl	$0,72(%ebx)
	fldz
	fstps	76(%ebx)
	fldz
	fstps	80(%ebx)
	fldz
	fstps	84(%ebx)
	movl	$0,88(%ebx)
	fldz
	fstps	92(%ebx)
	movl	$0,96(%ebx)
	mov	$0,%eax
	jmp	_99
_99:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_Delete:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
_102:
	movl	68(%ebx),%eax
	decl	4(%eax)
	jnz	_148
	movl	%eax,(%esp)
	call	_bbGCFree
_148:
	movl	$_bb_TEntity,(%ebx)
	movl	%ebx,(%esp)
	call	__bb_TEntity_Delete
	mov	$0,%eax
	jmp	_146
_146:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_Create:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$28,%esp
	movl	16(%ebp),%ebx
	movl	$_bb_TProp,(%esp)
	call	_bbObjectNew
	mov	%eax,%esi
	mov	%esi,%eax
	movl	$1,12(%esp)
	flds	12(%ebp)
	fstps	8(%esp)
	flds	8(%ebp)
	fstps	4(%esp)
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*64(%eax)
	movl	%ebx,64(%esi)
	fld1
	fstps	76(%esi)
	movl	$0,88(%esi)
	flds	_353
	fstps	84(%esi)
	movl	$0,96(%esi)
	mov	%ebx,%eax
	cmp	$0,%eax
	je	_153
	cmp	$1,%eax
	je	_154
	cmp	$2,%eax
	je	_155
	cmp	$3,%eax
	je	_156
	cmp	$4,%eax
	je	_157
	cmp	$5,%eax
	je	_158
	cmp	$6,%eax
	je	_159
	cmp	$7,%eax
	je	_160
	cmp	$8,%eax
	je	_161
	cmp	$9,%eax
	je	_162
	cmp	$10,%eax
	je	_163
	cmp	$12,%eax
	je	_164
	cmp	$13,%eax
	je	_165
	cmp	$14,%eax
	je	_166
	cmp	$15,%eax
	je	_167
	jmp	_152
_153:
	movl	__bb_TProp_gGfxBannerYellow,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_171
	movl	%eax,(%esp)
	call	_bbGCFree
_171:
	movl	%ebx,68(%esi)
	jmp	_152
_154:
	movl	__bb_TProp_gGfxBannerStart,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_175
	movl	%eax,(%esp)
	call	_bbGCFree
_175:
	movl	%ebx,68(%esi)
	mov	%esi,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gBannerStart,%eax
	decl	4(%eax)
	jnz	_179
	movl	%eax,(%esp)
	call	_bbGCFree
_179:
	movl	%ebx,__bb_TProp_gBannerStart
	jmp	_152
_155:
	movl	__bb_TProp_gGfxCornerSign,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_183
	movl	%eax,(%esp)
	call	_bbGCFree
_183:
	movl	%ebx,68(%esi)
	jmp	_152
_156:
	movl	$10,4(%esp)
	movl	$1,(%esp)
	call	_brl_random_Rand
	cmp	$6,%eax
	jle	_184
	movl	__bb_TProp_gGfxBush1,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_188
	movl	%eax,(%esp)
	call	_bbGCFree
_188:
	movl	%ebx,68(%esi)
	jmp	_189
_184:
	movl	__bb_TProp_gGfxBush2,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_193
	movl	%eax,(%esp)
	call	_bbGCFree
_193:
	movl	%ebx,68(%esi)
_189:
	jmp	_152
_157:
	movl	__bb_TProp_gGfxBannerCommodore,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_197
	movl	%eax,(%esp)
	call	_bbGCFree
_197:
	movl	%ebx,68(%esi)
	jmp	_152
_158:
	movl	__bb_TProp_gGfxBannerTires,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_201
	movl	%eax,(%esp)
	call	_bbGCFree
_201:
	movl	%ebx,68(%esi)
	jmp	_152
_159:
	movl	__bb_TProp_gGfxSignTest,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_205
	movl	%eax,(%esp)
	call	_bbGCFree
_205:
	movl	%ebx,68(%esi)
	movl	$1,72(%esi)
	jmp	_152
_160:
	movl	__bb_TProp_gGfxSignFG,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_209
	movl	%eax,(%esp)
	call	_bbGCFree
_209:
	movl	%ebx,68(%esi)
	movl	$1,72(%esi)
	jmp	_152
_161:
	movl	__bb_TProp_gGfxExplosion,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_213
	movl	%eax,(%esp)
	call	_bbGCFree
_213:
	movl	%ebx,68(%esi)
	fldz
	fstps	76(%esi)
	fld1
	fstpl	8(%esp)
	fldl	_354
	fstpl	(%esp)
	call	_brl_random_Rnd
	fstps	80(%esi)
	movl	$_bbNullObject,4(%esp)
	movl	__bb_TProp_gSndExplosion,%eax
	movl	%eax,(%esp)
	call	_brl_audio_PlaySound
	mov	%eax,%ebx
	flds	_355
	flds	16(%esi)
	fsubs	__bb_TEntity_gMinZ
	flds	__bb_TEntity_gMaxZ
	fsubs	__bb_TEntity_gMinZ
	fdivrp	%st(0),%st(1)
	fsubrp	%st(0),%st(1)
	mov	%ebx,%eax
	fmuls	_356
	fstps	4(%esp)
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*56(%eax)
	movl	$2000,4(%esp)
	movl	$-2000,(%esp)
	call	_brl_random_Rand
	add	$44000,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*68(%eax)
	jmp	_152
_162:
	movl	$2,4(%esp)
	movl	$1,(%esp)
	call	_brl_random_Rand
	cmp	$1,%eax
	jne	_218
	movl	__bb_TProp_gGfxSkidCloud1,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_222
	movl	%eax,(%esp)
	call	_bbGCFree
_222:
	movl	%ebx,68(%esi)
	jmp	_223
_218:
	movl	__bb_TProp_gGfxSkidCloud2,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_227
	movl	%eax,(%esp)
	call	_bbGCFree
_227:
	movl	%ebx,68(%esi)
_223:
	fldz
	fstpl	8(%esp)
	fldl	_357
	fstpl	(%esp)
	call	_brl_random_Rnd
	fstps	76(%esi)
	fldz
	fstpl	8(%esp)
	fld1
	fstpl	(%esp)
	call	_brl_random_Rnd
	fstps	80(%esi)
	jmp	_152
_163:
	movl	__bb_TProp_gGfxOil,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_231
	movl	%eax,(%esp)
	call	_bbGCFree
_231:
	movl	%ebx,68(%esi)
	movl	$1,72(%esi)
	jmp	_152
_164:
	movl	$2,4(%esp)
	movl	$1,(%esp)
	call	_brl_random_Rand
	cmp	$1,%eax
	jne	_232
	movl	__bb_TProp_gGfxSmoke1,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_236
	movl	%eax,(%esp)
	call	_bbGCFree
_236:
	movl	%ebx,68(%esi)
	jmp	_237
_232:
	movl	__bb_TProp_gGfxSmoke2,%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	68(%esi),%eax
	decl	4(%eax)
	jnz	_241
	movl	%eax,(%esp)
	call	_bbGCFree
_241:
	movl	%ebx,68(%esi)
_237:
	flds	_358
	fstps	84(%esi)
	jmp	_152
_165:
	movl	$1,96(%esi)
	movl	$1,72(%esi)
	flds	_359
	fstps	48(%esi)
	jmp	_152
_166:
	movl	$1,96(%esi)
	jmp	_152
_167:
	movl	$1,96(%esi)
	jmp	_152
_152:
	cmpl	$_bbNullObject,68(%esi)
	je	_242
	movl	68(%esi),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	48(%esi)
_242:
	mov	%esi,%eax
	jmp	_107
_107:
	add	$28,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_loadGraphics:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	$-1,4(%esp)
	movl	$_7,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerYellow,%eax
	decl	4(%eax)
	jnz	_246
	movl	%eax,(%esp)
	call	_bbGCFree
_246:
	movl	%ebx,__bb_TProp_gGfxBannerYellow
	movl	$-1,4(%esp)
	movl	$_8,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerStart,%eax
	decl	4(%eax)
	jnz	_250
	movl	%eax,(%esp)
	call	_bbGCFree
_250:
	movl	%ebx,__bb_TProp_gGfxBannerStart
	movl	$-1,4(%esp)
	movl	$_9,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerStart1,%eax
	decl	4(%eax)
	jnz	_254
	movl	%eax,(%esp)
	call	_bbGCFree
_254:
	movl	%ebx,__bb_TProp_gGfxBannerStart1
	movl	$-1,4(%esp)
	movl	$_10,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerStart2,%eax
	decl	4(%eax)
	jnz	_258
	movl	%eax,(%esp)
	call	_bbGCFree
_258:
	movl	%ebx,__bb_TProp_gGfxBannerStart2
	movl	$-1,4(%esp)
	movl	$_11,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerStart3,%eax
	decl	4(%eax)
	jnz	_262
	movl	%eax,(%esp)
	call	_bbGCFree
_262:
	movl	%ebx,__bb_TProp_gGfxBannerStart3
	movl	$-1,4(%esp)
	movl	$_12,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxCornerSign,%eax
	decl	4(%eax)
	jnz	_266
	movl	%eax,(%esp)
	call	_bbGCFree
_266:
	movl	%ebx,__bb_TProp_gGfxCornerSign
	movl	$-1,4(%esp)
	movl	$_13,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBush1,%eax
	decl	4(%eax)
	jnz	_270
	movl	%eax,(%esp)
	call	_bbGCFree
_270:
	movl	%ebx,__bb_TProp_gGfxBush1
	movl	$-1,4(%esp)
	movl	$_14,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBush2,%eax
	decl	4(%eax)
	jnz	_274
	movl	%eax,(%esp)
	call	_bbGCFree
_274:
	movl	%ebx,__bb_TProp_gGfxBush2
	movl	$-1,4(%esp)
	movl	$_15,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerCommodore,%eax
	decl	4(%eax)
	jnz	_278
	movl	%eax,(%esp)
	call	_bbGCFree
_278:
	movl	%ebx,__bb_TProp_gGfxBannerCommodore
	movl	$-1,4(%esp)
	movl	$_16,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxBannerTires,%eax
	decl	4(%eax)
	jnz	_282
	movl	%eax,(%esp)
	call	_bbGCFree
_282:
	movl	%ebx,__bb_TProp_gGfxBannerTires
	movl	$-1,4(%esp)
	movl	$_17,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSignTest,%eax
	decl	4(%eax)
	jnz	_286
	movl	%eax,(%esp)
	call	_bbGCFree
_286:
	movl	%ebx,__bb_TProp_gGfxSignTest
	movl	$-1,4(%esp)
	movl	$_18,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSignFG,%eax
	decl	4(%eax)
	jnz	_290
	movl	%eax,(%esp)
	call	_bbGCFree
_290:
	movl	%ebx,__bb_TProp_gGfxSignFG
	movl	$-1,4(%esp)
	movl	$_19,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxExplosion,%eax
	decl	4(%eax)
	jnz	_294
	movl	%eax,(%esp)
	call	_bbGCFree
_294:
	movl	%ebx,__bb_TProp_gGfxExplosion
	movl	$-1,4(%esp)
	movl	$_20,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSkidCloud1,%eax
	decl	4(%eax)
	jnz	_298
	movl	%eax,(%esp)
	call	_bbGCFree
_298:
	movl	%ebx,__bb_TProp_gGfxSkidCloud1
	movl	$-1,4(%esp)
	movl	$_21,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSkidCloud2,%eax
	decl	4(%eax)
	jnz	_302
	movl	%eax,(%esp)
	call	_bbGCFree
_302:
	movl	%ebx,__bb_TProp_gGfxSkidCloud2
	movl	$-1,4(%esp)
	movl	$_22,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxOil,%eax
	decl	4(%eax)
	jnz	_306
	movl	%eax,(%esp)
	call	_bbGCFree
_306:
	movl	%ebx,__bb_TProp_gGfxOil
	movl	$-1,4(%esp)
	movl	$_23,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSmoke1,%eax
	decl	4(%eax)
	jnz	_310
	movl	%eax,(%esp)
	call	_bbGCFree
_310:
	movl	%ebx,__bb_TProp_gGfxSmoke1
	movl	$-1,4(%esp)
	movl	$_24,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gGfxSmoke2,%eax
	decl	4(%eax)
	jnz	_314
	movl	%eax,(%esp)
	call	_bbGCFree
_314:
	movl	%ebx,__bb_TProp_gGfxSmoke2
	movl	__bb_TProp_gGfxBannerYellow,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerYellow,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerYellow,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerStart,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerStart,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerStart,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerStart1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerStart1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerStart1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerStart2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerStart2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerStart2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerStart3,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerStart3,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerStart3,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxCornerSign,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxCornerSign,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxCornerSign,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBush1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBush1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBush1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBush2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBush2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBush2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerCommodore,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerCommodore,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerCommodore,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxBannerTires,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxBannerTires,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxBannerTires,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSignTest,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSignTest,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSignTest,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSignFG,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSignFG,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSignFG,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxExplosion,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxExplosion,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxExplosion,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSkidCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSkidCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSkidCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSkidCloud2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSkidCloud2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSkidCloud2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxOil,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxOil,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxOil,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSmoke1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSmoke1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSmoke1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	movl	__bb_TProp_gGfxSmoke2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TProp_gGfxSmoke2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TProp_gGfxSmoke2,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	mov	$0,%eax
	jmp	_109
_109:
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_loadSounds:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	$0,4(%esp)
	movl	$_25,(%esp)
	call	_brl_audio_LoadSound
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TProp_gSndExplosion,%eax
	decl	4(%eax)
	jnz	_318
	movl	%eax,(%esp)
	call	_bbGCFree
_318:
	movl	%ebx,__bb_TProp_gSndExplosion
	mov	$0,%eax
	jmp	_111
_111:
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_setChain:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%edx
	movl	12(%ebp),%eax
	flds	16(%ebp)
	movl	%eax,88(%edx)
	fstps	92(%edx)
	mov	$0,%eax
	jmp	_116
_116:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_draw:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	sub	$24,%esp
	movl	8(%ebp),%ebx
	flds	32(%ebx)
	flds	28(%ebx)
	fmuls	20(%ebx)
	faddp	%st(0),%st(1)
	fstps	-12(%ebp)
	cmpl	$0,96(%ebx)
	je	_320
	flds	_388
	fmuls	28(%ebx)
	fstps	-8(%ebp)
	cmpl	$13,64(%ebx)
	jne	_323
	flds	-8(%ebp)
	fdivs	_390
	fstps	-4(%ebp)
	movl	$255,8(%esp)
	movl	$255,4(%esp)
	movl	$255,(%esp)
	call	_brl_max2d_SetColor
	jmp	_324
_323:
	cmpl	$0,__bb_TProp_gInTunnel
	je	_325
	flds	24(%ebx)
	fsubs	-8(%ebp)
	fstps	-4(%ebp)
	jmp	_326
_325:
	flds	-8(%ebp)
	fdivs	_391
	fstps	-4(%ebp)
_326:
	movl	$0,8(%esp)
	movl	$0,4(%esp)
	movl	$0,(%esp)
	call	_brl_max2d_SetColor
_324:
	fld1
	fstps	4(%esp)
	fld1
	fstps	(%esp)
	call	_brl_max2d_SetScale
	flds	-8(%ebp)
	fadds	_392
	fstps	12(%esp)
	flds	32(%ebx)
	flds	_393
	fmuls	28(%ebx)
	fdivs	_394
	fsubrp	%st(0),%st(1)
	fstps	8(%esp)
	flds	24(%ebx)
	fsubs	-8(%ebp)
	fstps	4(%esp)
	fldz
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	flds	32(%ebx)
	flds	_395
	fmuls	28(%ebx)
	fdivs	_396
	faddp	%st(0),%st(1)
	flds	-8(%ebp)
	fadds	_397
	fstps	12(%esp)
	flds	_398
	fsub	%st(1),%st(0)
	fstps	8(%esp)
	flds	24(%ebx)
	fsubs	-8(%ebp)
	fstps	4(%esp)
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	flds	-4(%ebp)
	fstps	12(%esp)
	flds	_399
	fstps	8(%esp)
	flds	24(%ebx)
	flds	-8(%ebp)
	fadds	-4(%ebp)
	fsubrp	%st(0),%st(1)
	fstps	4(%esp)
	fldz
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	jmp	_328
_320:
	cmpl	$10,64(%ebx)
	jne	_329
	flds	28(%ebx)
	flds	_400
	flds	40(%ebx)
	fmuls	_401
	flds	16(%ebx)
	fdivs	__bb_TEntity_gMaxZ
	fmulp	%st(0),%st(1)
	faddp	%st(0),%st(1)
	fmulp	%st(0),%st(1)
	fstps	4(%esp)
	flds	28(%ebx)
	fstps	(%esp)
	call	_brl_max2d_SetScale
	jmp	_330
_329:
	flds	28(%ebx)
	fmuls	76(%ebx)
	fstps	4(%esp)
	flds	28(%ebx)
	fmuls	76(%ebx)
	fstps	(%esp)
	call	_brl_max2d_SetScale
_330:
	movl	$255,8(%esp)
	movl	$255,4(%esp)
	movl	$255,(%esp)
	call	_brl_max2d_SetColor
	movl	$0,12(%esp)
	flds	24(%ebx)
	fstps	8(%esp)
	flds	-12(%ebp)
	fstps	4(%esp)
	movl	68(%ebx),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
_328:
	mov	$0,%eax
	jmp	_119
_119:
	add	$24,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_update:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	8(%ebp),%ebx
	flds	12(%ebp)
	fstps	4(%esp)
	movl	%ebx,(%esp)
	call	__bb_TEntity_update
	movl	64(%ebx),%eax
	cmp	$8,%eax
	je	_333
	cmp	$9,%eax
	je	_334
	cmp	$12,%eax
	je	_335
	jmp	_332
_333:
	flds	76(%ebx)
	fadds	_408
	fstps	76(%ebx)
	flds	76(%ebx)
	flds	80(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_336
	flds	80(%ebx)
	fstps	76(%ebx)
	movl	$0,8(%ebx)
	cmpl	$0,88(%ebx)
	jle	_337
	movl	64(%ebx),%eax
	movl	%eax,8(%esp)
	flds	20(%ebx)
	fstps	4(%esp)
	flds	16(%ebx)
	fadds	92(%ebx)
	fstps	(%esp)
	calll	*_bb_TProp+156
	flds	92(%ebx)
	fstps	8(%esp)
	movl	88(%ebx),%edx
	sub	$1,%edx
	movl	%edx,4(%esp)
	movl	%eax,(%esp)
	movl	(%eax),%eax
	calll	*168(%eax)
_337:
_336:
	jmp	_332
_334:
	flds	76(%ebx)
	fadds	_409
	fstps	76(%ebx)
	flds	76(%ebx)
	flds	80(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_340
	flds	80(%ebx)
	fstps	76(%ebx)
	movl	$0,8(%ebx)
_340:
	jmp	_332
_335:
	flds	84(%ebx)
	fsubs	_410
	fstps	84(%ebx)
	flds	84(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_341
	movl	$0,8(%ebx)
_341:
	jmp	_332
_332:
	mov	$0,%eax
	jmp	_123
_123:
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_receiveHit:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	flds	_420
	jmp	_129
_129:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_hittable:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	72(%eax),%eax
	jmp	_132
_132:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_isOil:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	64(%eax),%eax
	cmp	$10,%eax
	sete	%al
	movzbl	%al,%eax
	jmp	_135
_135:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_isTunnelStart:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	64(%eax),%eax
	cmp	$13,%eax
	sete	%al
	movzbl	%al,%eax
	jmp	_138
_138:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TProp_deactivate:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%edx
	movl	64(%edx),%eax
	cmp	$13,%eax
	je	_344
	cmp	$15,%eax
	je	_345
	jmp	_343
_344:
	movl	$1,__bb_TProp_gInTunnel
	jmp	_343
_345:
	movl	$0,__bb_TProp_gInTunnel
	jmp	_343
_343:
	movl	$0,8(%edx)
	mov	$0,%eax
	jmp	_141
_141:
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_143:
	.long	0
	.align	4
__bb_TProp_gGfxBannerYellow:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerStart:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerStart1:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerStart2:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerStart3:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxCornerSign:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBush1:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBush2:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerCommodore:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxBannerTires:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSignTest:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSignFG:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxExplosion:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSkidCloud1:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSkidCloud2:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxOil:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSmoke1:
	.long	_bbNullObject
	.align	4
__bb_TProp_gGfxSmoke2:
	.long	_bbNullObject
	.align	4
__bb_TProp_gSndExplosion:
	.long	_bbNullObject
	.align	4
__bb_TProp_gBannerStart:
	.long	_bbNullObject
	.align	4
__bb_TProp_gInTunnel:
	.long	0
_27:
	.asciz	"TProp"
_28:
	.asciz	"PROP_BANNER_YELLOW"
_29:
	.asciz	"i"
	.align	4
_30:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	48
_31:
	.asciz	"PROP_BANNER_START"
	.align	4
_32:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	49
_33:
	.asciz	"PROP_CORNER_SIGN"
	.align	4
_34:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	50
_35:
	.asciz	"PROP_BUSH_1"
	.align	4
_36:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	51
_37:
	.asciz	"PROP_BANNER_COMMODORE"
	.align	4
_38:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	52
_39:
	.asciz	"PROP_BANNER_TIRES"
	.align	4
_40:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	53
_41:
	.asciz	"PROP_SIGN_TEST"
	.align	4
_42:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	54
_43:
	.asciz	"PROP_SIGN_FG"
	.align	4
_44:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	55
_45:
	.asciz	"PROP_EXPLOSION"
	.align	4
_46:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	56
_47:
	.asciz	"PROP_SKID_CLOUD"
	.align	4
_48:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	57
_49:
	.asciz	"PROP_OIL"
	.align	4
_50:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,48
_51:
	.asciz	"PROP_SMOKE"
	.align	4
_52:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,50
_53:
	.asciz	"PROP_TUNNEL_START"
	.align	4
_54:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,51
_55:
	.asciz	"PROP_TUNNEL_MID"
	.align	4
_56:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,52
_57:
	.asciz	"PROP_TUNNEL_END"
	.align	4
_58:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,53
_59:
	.asciz	"EXPLOSION_GROW_SPEED"
_60:
	.asciz	"f"
	.align	4
_61:
	.long	_bbStringClass
	.long	2147483646
	.long	12
	.short	48,46,48,50,49,57,57,57,57,57,57,57
_62:
	.asciz	"SKID_CLOUD_GROW_SPEED"
	.align	4
_63:
	.long	_bbStringClass
	.long	2147483646
	.long	11
	.short	48,46,50,49,57,57,57,57,57,57,57
_64:
	.asciz	"SMOKE_TIME"
	.align	4
_65:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	53,48,48
_66:
	.asciz	"TUNNEL_OPENING_HEIGHT"
	.align	4
_67:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	51,48,48
_68:
	.asciz	"fType"
_69:
	.asciz	"fGfx"
_70:
	.asciz	":TImage"
_71:
	.asciz	"fHittable"
_72:
	.asciz	"fSize"
_73:
	.asciz	"fTargetSize"
_74:
	.asciz	"fTimer"
_75:
	.asciz	"fChainCount"
_76:
	.asciz	"fChainDZ"
_77:
	.asciz	"fPartOfTunnel"
_78:
	.asciz	"New"
_79:
	.asciz	"()i"
_80:
	.asciz	"Delete"
_81:
	.asciz	"Create"
_82:
	.asciz	"(f,f,i):TProp"
_83:
	.asciz	"loadGraphics"
_84:
	.asciz	"loadSounds"
_85:
	.asciz	"setChain"
_86:
	.asciz	"(i,f)i"
_87:
	.asciz	"draw"
_88:
	.asciz	"update"
_89:
	.asciz	"(f)i"
_90:
	.asciz	"receiveHit"
_91:
	.asciz	"(f,f,f)f"
_92:
	.asciz	"hittable"
_93:
	.asciz	"isOil"
_94:
	.asciz	"isTunnelStart"
_95:
	.asciz	"deactivate"
	.align	4
_26:
	.long	2
	.long	_27
	.long	1
	.long	_28
	.long	_29
	.long	_30
	.long	1
	.long	_31
	.long	_29
	.long	_32
	.long	1
	.long	_33
	.long	_29
	.long	_34
	.long	1
	.long	_35
	.long	_29
	.long	_36
	.long	1
	.long	_37
	.long	_29
	.long	_38
	.long	1
	.long	_39
	.long	_29
	.long	_40
	.long	1
	.long	_41
	.long	_29
	.long	_42
	.long	1
	.long	_43
	.long	_29
	.long	_44
	.long	1
	.long	_45
	.long	_29
	.long	_46
	.long	1
	.long	_47
	.long	_29
	.long	_48
	.long	1
	.long	_49
	.long	_29
	.long	_50
	.long	1
	.long	_51
	.long	_29
	.long	_52
	.long	1
	.long	_53
	.long	_29
	.long	_54
	.long	1
	.long	_55
	.long	_29
	.long	_56
	.long	1
	.long	_57
	.long	_29
	.long	_58
	.long	1
	.long	_59
	.long	_60
	.long	_61
	.long	1
	.long	_62
	.long	_60
	.long	_63
	.long	1
	.long	_64
	.long	_29
	.long	_65
	.long	1
	.long	_66
	.long	_29
	.long	_67
	.long	3
	.long	_68
	.long	_29
	.long	64
	.long	3
	.long	_69
	.long	_70
	.long	68
	.long	3
	.long	_71
	.long	_29
	.long	72
	.long	3
	.long	_72
	.long	_60
	.long	76
	.long	3
	.long	_73
	.long	_60
	.long	80
	.long	3
	.long	_74
	.long	_60
	.long	84
	.long	3
	.long	_75
	.long	_29
	.long	88
	.long	3
	.long	_76
	.long	_60
	.long	92
	.long	3
	.long	_77
	.long	_29
	.long	96
	.long	6
	.long	_78
	.long	_79
	.long	16
	.long	6
	.long	_80
	.long	_79
	.long	20
	.long	7
	.long	_81
	.long	_82
	.long	156
	.long	7
	.long	_83
	.long	_79
	.long	160
	.long	7
	.long	_84
	.long	_79
	.long	164
	.long	6
	.long	_85
	.long	_86
	.long	168
	.long	6
	.long	_87
	.long	_79
	.long	92
	.long	6
	.long	_88
	.long	_89
	.long	80
	.long	6
	.long	_90
	.long	_91
	.long	140
	.long	6
	.long	_92
	.long	_79
	.long	144
	.long	6
	.long	_93
	.long	_79
	.long	124
	.long	6
	.long	_94
	.long	_79
	.long	132
	.long	6
	.long	_95
	.long	_79
	.long	84
	.long	0
	.align	4
_bb_TProp:
	.long	_bb_TEntity
	.long	_bbObjectFree
	.long	_26
	.long	100
	.long	__bb_TProp_New
	.long	__bb_TProp_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TEntity_updateAll
	.long	__bb_TEntity_removeInactive
	.long	__bb_TEntity_removeAll
	.long	__bb_TEntity_updateDepthSortAll
	.long	__bb_TEntity_init
	.long	__bb_TEntity_setSegmentDX
	.long	__bb_TEntity_setSegmentDY
	.long	__bb_TEntity_addToListDepthSorted
	.long	__bb_TProp_update
	.long	__bb_TProp_deactivate
	.long	__bb_TEntity_clear
	.long	__bb_TProp_draw
	.long	__bb_TEntity_drawShadow
	.long	__bb_TEntity_removeFromList
	.long	__bb_TEntity_updateDepthSort
	.long	__bb_TEntity_updateDepthSortDown
	.long	__bb_TEntity_updateDepthSortUp
	.long	__bb_TEntity_getSpeed
	.long	__bb_TEntity_isHuman
	.long	__bb_TProp_isOil
	.long	__bb_TEntity_isCar
	.long	__bb_TProp_isTunnelStart
	.long	__bb_TEntity_checkCollisions
	.long	__bb_TProp_receiveHit
	.long	__bb_TProp_hittable
	.long	__bb_TEntity_setSlope
	.long	__bb_TEntity_setInTunnel
	.long	__bb_TProp_Create
	.long	__bb_TProp_loadGraphics
	.long	__bb_TProp_loadSounds
	.long	__bb_TProp_setChain
	.align	4
_353:
	.long	0xbf800000
	.align	8
_354:
	.long	0x40000000,0x3fd33333
	.align	4
_355:
	.long	0x3f800000
	.align	4
_356:
	.long	0x3e4ccccd
	.align	8
_357:
	.long	0x0,0x3fe00000
	.align	4
_358:
	.long	0x43fa0000
	.align	4
_359:
	.long	0x45960000
	.align	4
_7:
	.long	_bbStringClass
	.long	2147483647
	.long	26
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	121,101,108,108,111,119,46,112,110,103
	.align	4
_8:
	.long	_bbStringClass
	.long	2147483647
	.long	25
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	115,116,97,114,116,46,112,110,103
	.align	4
_9:
	.long	_bbStringClass
	.long	2147483647
	.long	27
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	115,116,97,114,116,95,49,46,112,110,103
	.align	4
_10:
	.long	_bbStringClass
	.long	2147483647
	.long	27
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	115,116,97,114,116,95,50,46,112,110,103
	.align	4
_11:
	.long	_bbStringClass
	.long	2147483647
	.long	27
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	115,116,97,114,116,95,51,46,112,110,103
	.align	4
_12:
	.long	_bbStringClass
	.long	2147483647
	.long	23
	.short	71,114,97,112,104,105,99,115,47,99,111,114,110,101,114,115
	.short	105,103,110,46,112,110,103
	.align	4
_13:
	.long	_bbStringClass
	.long	2147483647
	.long	19
	.short	71,114,97,112,104,105,99,115,47,98,117,115,104,95,49,46
	.short	112,110,103
	.align	4
_14:
	.long	_bbStringClass
	.long	2147483647
	.long	19
	.short	71,114,97,112,104,105,99,115,47,98,117,115,104,95,50,46
	.short	112,110,103
	.align	4
_15:
	.long	_bbStringClass
	.long	2147483647
	.long	29
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	99,111,109,109,111,100,111,114,101,46,112,110,103
	.align	4
_16:
	.long	_bbStringClass
	.long	2147483647
	.long	25
	.short	71,114,97,112,104,105,99,115,47,98,97,110,110,101,114,95
	.short	116,105,114,101,115,46,112,110,103
	.align	4
_17:
	.long	_bbStringClass
	.long	2147483647
	.long	22
	.short	71,114,97,112,104,105,99,115,47,115,105,103,110,95,98,108
	.short	117,101,46,112,110,103
	.align	4
_18:
	.long	_bbStringClass
	.long	2147483647
	.long	20
	.short	71,114,97,112,104,105,99,115,47,115,105,103,110,95,102,103
	.short	46,112,110,103
	.align	4
_19:
	.long	_bbStringClass
	.long	2147483647
	.long	22
	.short	71,114,97,112,104,105,99,115,47,101,120,112,108,111,115,105
	.short	111,110,46,112,110,103
	.align	4
_20:
	.long	_bbStringClass
	.long	2147483647
	.long	23
	.short	71,114,97,112,104,105,99,115,47,115,107,105,100,95,99,108
	.short	111,117,100,46,112,110,103
	.align	4
_21:
	.long	_bbStringClass
	.long	2147483647
	.long	25
	.short	71,114,97,112,104,105,99,115,47,115,107,105,100,95,99,108
	.short	111,117,100,95,50,46,112,110,103
	.align	4
_22:
	.long	_bbStringClass
	.long	2147483647
	.long	16
	.short	71,114,97,112,104,105,99,115,47,111,105,108,46,112,110,103
	.align	4
_23:
	.long	_bbStringClass
	.long	2147483647
	.long	20
	.short	71,114,97,112,104,105,99,115,47,115,109,111,107,101,95,49
	.short	46,112,110,103
	.align	4
_24:
	.long	_bbStringClass
	.long	2147483647
	.long	20
	.short	71,114,97,112,104,105,99,115,47,115,109,111,107,101,95,50
	.short	46,112,110,103
	.align	4
_25:
	.long	_bbStringClass
	.long	2147483647
	.long	20
	.short	83,111,117,110,100,115,47,101,120,112,108,111,115,105,111,110
	.short	46,119,97,118
	.align	4
_388:
	.long	0x43960000
	.align	4
_390:
	.long	0x40000000
	.align	4
_391:
	.long	0x3fc00000
	.align	4
_392:
	.long	0x3f800000
	.align	4
_393:
	.long	0x44480000
	.align	4
_394:
	.long	0x40000000
	.align	4
_395:
	.long	0x44480000
	.align	4
_396:
	.long	0x40000000
	.align	4
_397:
	.long	0x3f800000
	.align	4
_398:
	.long	0x44480000
	.align	4
_399:
	.long	0x44480000
	.align	4
_400:
	.long	0x3f800000
	.align	4
_401:
	.long	0x455ac000
	.align	4
_408:
	.long	0x3cb43958
	.align	4
_409:
	.long	0x3e6147ae
	.align	4
_410:
	.long	0x3f800000
	.align	4
_420:
	.long	0x0
